# kate_comment Struct Reference

`#include <kate.h>`

## Data Fields
char ** | user_comments
int * | comment_lengths
int | comments
char * | vendor

## Detailed Description

Vorbis comments - this is the same as Vorbis and Theora comments

Examples:

  decoding.c, and encoding.c.

## Field Documentation

int* kate_comment::comment_lengths

the lengths of the comment strings in bytes

Referenced by kate_comment_add_length(), kate_comment_clear(), and kate_comment_init().

int kate_comment::comments

the number of comments in the list

Referenced by kate_comment_add_length(), kate_comment_clear(), kate_comment_init(), kate_comment_query(), and kate_comment_query_count().

char** kate_comment::user_comments

the list of comments, in the form "tag=value"

Referenced by kate_comment_add_length(), kate_comment_clear(), kate_comment_init(), kate_comment_query(), and kate_comment_query_count().

char* kate_comment::vendor

vendor string, null terminated

Referenced by kate_comment_clear(), and kate_comment_init().

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h